Skip to main content
POST
/
proxy
/
freepik
/
v1
/
ai
/
image-style-transfer
Style transfer an image
curl --request POST \
  --url https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "image": "<string>",
  "reference_image": "<string>",
  "engine": "balanced",
  "fixed_generation": false,
  "flavor": "faithful",
  "is_portrait": false,
  "portrait_style": "standard",
  "prompt": "<string>",
  "structure_strength": 50,
  "style_strength": 100,
  "webhook_url": "https://www.example.com/webhook"
}
'
import requests

url = "https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer"

payload = {
"image": "<string>",
"reference_image": "<string>",
"engine": "balanced",
"fixed_generation": False,
"flavor": "faithful",
"is_portrait": False,
"portrait_style": "standard",
"prompt": "<string>",
"structure_strength": 50,
"style_strength": 100,
"webhook_url": "https://www.example.com/webhook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: '<string>',
reference_image: '<string>',
engine: 'balanced',
fixed_generation: false,
flavor: 'faithful',
is_portrait: false,
portrait_style: 'standard',
prompt: '<string>',
structure_strength: 50,
style_strength: 100,
webhook_url: 'https://www.example.com/webhook'
})
};

fetch('https://api.comfy.org/proxy/freepik/v1/ai/image-style-transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "generated": [
    "<string>"
  ],
  "task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
image
string
required

Base64 or URL of the image to do the style transfer

reference_image
string
required

Base64 or URL of the reference image for style transfer

engine
enum<string>
default:balanced

Engine preset for style transfer

Available options:
balanced,
definio,
illusio,
3d_cartoon,
colorful_anime,
caricature,
real,
super_real,
softy
fixed_generation
boolean
default:false

When enabled, using the same settings will consistently produce the same image.

flavor
enum<string>
default:faithful

Flavor of the transferring style

Available options:
faithful,
gen_z,
psychedelia,
detaily,
clear,
donotstyle,
donotstyle_sharp
is_portrait
boolean
default:false

Indicates whether the image should be processed as a portrait.

portrait_beautifier
enum<string>

Facial beautification on portrait images. Only used if is_portrait is true.

Available options:
beautify_face,
beautify_face_max
portrait_style
enum<string>
default:standard

Visual style applied to portrait images. Only used if is_portrait is true.

Available options:
standard,
pop,
super_pop
prompt
string

Prompt for the AI model

structure_strength
integer
default:50

Allows to maintain the structure of the original image

Required range: 0 <= x <= 100
style_strength
integer
default:100

Percentage of style strength

Required range: 0 <= x <= 100
webhook_url
string<uri>

Optional callback URL for async notifications.

Example:

"https://www.example.com/webhook"

Response

OK - The style transfer process has started

generated
string<uri>[]

URLs to the generated images.

status
enum<string>
Available options:
CREATED,
IN_PROGRESS,
COMPLETED,
FAILED
task_id
string<uuid>
Example:

"046b6c7f-0b8a-43b9-b35d-6489e6daee91"